/*
Theme Name: TwentyTwentyTwo-child
template: twentytwentytwo
Version: 1.6
*/

/*親テーマのCSSをインポート*/
/* @import url('../twentytwentytwo/style.css'); */

/*画像にマウスホバーでalt属性のキャプションをスライド表示するCSS*/
/* @import url('./css/hover-image.css'); */

/*ブログ全体の日本語フォント指定、記事のフォントサイズ*/

body {
	font-size: 16px;
	font-size: 1rem;
	font-family: MeiryoKe_PGothic, "メイリオ", Meiryo, "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "MS Pゴシック", "Lucida Grande", Helvetica, Arial, sans-serif, "Source Serif Pro", serif;
	--wp--preset--font-family--source-serif-pro: MeiryoKe_PGothic, "メイリオ", Meiryo, "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "MS Pゴシック", "Lucida Grande", Helvetica, Arial, sans-serif, "Source Serif Pro", serif;
	text-rendering: optimizeLegibility;
}

body.custom-font-enabled {
	font-family: MeiryoKe_PGothic, "メイリオ", Meiryo, "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "MS Pゴシック", "Lucida Grande", Helvetica, Arial, sans-serif, "Source Serif Pro", serif;
	--wp--preset--font-family--source-serif-pro: MeiryoKe_PGothic, "メイリオ", Meiryo, "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "MS Pゴシック", "Lucida Grande", Helvetica, Arial, sans-serif, "Source Serif Pro", serif;
}

/*最上位の親カラムの幅をウィンドウサイズに合わせる*/
body {
		--wp--custom--spacing--outer: 0rem;
}

/*サイトタイトルのフォント・カラー・装飾などを設定*/
.wp-block-site-title a {
	font-family: Comic Sans MS;
	font-weight: bolder;
	color: #812990 !important; /* 文字色の変更(乃木坂カラー) */
	text-shadow: 3px 3px 10px #fff; /*白っぽい影*/
	text-decoration: none;
	font-style: oblique;
}

/*サイトタイトルの下線を消す(リンクが貼られている場合)*/
.wp-block-site-title a:not(:hover) { /*カーソルが乗ってないときだけ*/
  	text-decoration: none;
}

/*記事タイトル名とウィジェット名の背景に画像を設定*/
.wp-block-post-title,.widget-title, .wp-block-categories-title {
/*カテゴリーリスト用のタイトル名(段落)にwp-block-categories-titleを割り当て済み*/
background-image:url("https://wastedays.cloudfree.jp/wp-content/uploads/2016/02/20160226_18-02-02.png");
border-radius: 16px;
}

/*ウィジェット名のフォント調整*/
.widget-title, .wp-block-categories-title {
	color: white;
	text-align: center;
	font-size: 0.8rem;
	line-height: 1.5;
}

/*アーカイブウィジェットの行頭の●を消す*/
.wp-block-collapsing-archives ul {
	list-style: none;
}

/*コメント欄の「コメントを残す」の文字サイズ*/
.wp-block-post-comments-form .comment-reply-title {
	font-size: 1.2rem;
	margin-top: 3rem;
}

/*コメント欄の「コメントを送信」ボタンのサイズ調整*/
.form-submit .wp-block-button__link {
	padding: 2px 10px;
}

/*検索ボタンの大きさをpaddingで調整*/
.wp-block-search__button.has-icon.wp-element-button {
	padding: 0.3em;
}

/*投稿日とカテゴリーの前に自前画像を設定してグループ化した弊害(隙間)解消*/
.wp-block-group .post-meta * { /*投稿日メタデータの「横並び」に追加クラス(post-meta)割り当て済み*/
  gap: 0.3rem;
}

/*表(テーブル)の調整*/
table {
	margin-block-start: 0; /*上部に余計な空白が付くのを調整*/
}

/*記事中のダウンロードボタンの大きさを調整*/
.wp-block-file a, .wp-block-file .wp-block-file__button {
	font-size: 0.8rem;
	padding: 0.2em;
	margin: 0.2rem;
}

.wp-block-file .wp-block-file__button {
	text-decoration: none;
	border-radius: 15px;
}

/* 投稿文の<code>タグで囲まれた部分の見栄えを本文と同じにする */
.entry-content code {
  font-family: inherit; /*inheritで親要素の設定を継承する*/
  /* 見栄えが違う場合は他の要素も追記 */
}

/* コードブロックの余白調整 */
.wp-block-code {
	margin-block-start: 1rem;
	margin-block-end: 1rem;
}

/* 見出しブロックの見栄え */
h1.wp-block-heading {
	font-size: 1.1rem;
}

h2.wp-block-heading {
	font-size: 1rem;
	font-weight: bolder !important;
	background-size: 3.3% !important;
	background: linear-gradient(to right, #812990 30%, #FFF0F5);
	background-repeat: no-repeat;
	border-left: 8px;
	padding: 8px 4px 8px 2rem;
	margin-bottom: 0.5rem !important;
	box-shadow: 0 2px 5px #999;
}


h3.wp-block-heading {
	font-size: 0.9rem;
	font-weight: bolder;
	font-style: italic;
	border-bottom: 3px double #812990;
	padding: 4px 4px;
	margin-bottom: 0.5rem !important;
}

